Alokai

SapccApiGetProductReferencesRequest

Request parameters for getProductReferences operation in SapccApi. SapccApiGetProductReferencesRequest

interface SapccApiGetProductReferencesRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly productCode: string;
	readonly referenceType?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetProductReferences
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetProductReferences
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetProductReferences
productCodeRequiredstringProduct identifier. {string} SapccApiGetProductReferences
referenceTypeOptionalstringComma-separated list of reference types. If not specified, all types of product references will be used. Example: ACCESSORIES,BASE_PRODUCT. {string} SapccApiGetProductReferences

On this page